Skip to main content
POST
Broadcast your externally-signed on-chain transactions (step 2 of 2)

Authorizations

X-Client-Id
string
header
required

Credential client id (kairos_ck_...). Must be sent together with X-Api-Key and X-Api-Secret.

X-Api-Key
string
header
required

64-char hex API key.

X-Api-Secret
string
header
required

64-char hex API secret.

Body

application/json

Body for POST /v2/onchain/submit.

payload_id
string<uuid>
required
signatures
string[]
required

One 0x-hex 65-byte signature per transaction, in the same order as transactions[] from the intent. The count must match exactly.

Response

All transactions broadcast and confirmed.

Response for POST /v2/onchain/submit.

transaction_hashes
string[]
required
status
enum<string>
required

Always confirmed on a 200 — each transaction is broadcast and waited on (90 s) in nonce order before the next.

Available options:
confirmed